## org.biojava.bio.seq.ragbag
Class RagbagFeatureTypeCatcher

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagFeatureTypeCatcher

All Implemented Interfaces:
  RagbagFilterFactory

public class RagbagFeatureTypeCatcher
extends java.lang.Object
implements RagbagFilterFactory

A class that assists in wrapping a feature filter that records all types encountered around a SequenceBuilder class. It may be scrapped as it was implemented to permit a getAllTypes() call which is IMPOSSIBLE with lazy instantiation.

Field Summary
`static RagbagFeatureTypeCatcher` `FACTORY`

Constructor Summary
`RagbagFeatureTypeCatcher()`

Method Summary
`java.util.Set` `getAllTypes()`
`SequenceBuilder` `wrap(SequenceBuilder delegate)` returns a SequenceBuilder object wrapped with an a filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY

    public static RagbagFeatureTypeCatcher FACTORY

Constructor Detail

### RagbagFeatureTypeCatcher

    public RagbagFeatureTypeCatcher()

Method Detail

### wrap

    public SequenceBuilder wrap(SequenceBuilder delegate)

  Description copied from interface: `RagbagFilterFactory`
  returns a SequenceBuilder object wrapped with an a filter.

  Specified by:
    `wrap` in interface `RagbagFilterFactory`

### getAllTypes

    public java.util.Set getAllTypes()